fwupd (2.0.20-1ubuntu2~25.10.3) questing; urgency=medium

  * d/p/fwupdmgr-fde-verify-snapd-recovery-key.patch
    - Fix recovery key prompt for multi-boot systems. Previously an error made
      fwupdmgr prompt all systems where hardware-backed FDE was detected, when
      it should only verify against the current system IFF it is running under
      snapd FDE. (LP: #2148183)
    - Fix incorrect error propagation. If CTRL-D was sent, the process would
      expose an incorrect error propagation in the recovery key verification.
      (LP: #2156480)
    - Link to Ubuntu TPM docs if snapd FDE is detected. Previously bugs
      related to this temporary patch could get reported upstream, leading
      to confusion as this is a short-term solution that will not get merged
      upstream.
  * d/p/mtd-fall-back-to-generic-firmware.patch: Fix an error on MTD devices
      where gtype was incorrectly set to G_TYPE_INVALID (LP: #2156479)
  * d/p/fix-device-locker-crash.patch: Fix an error where the genesys-gl32xx
      plugin would crash due to using the wrong detach and attach callbacks
      (LP: #2156612)

 -- Simon Johnsson <simon.johnsson@canonical.com>  Thu, 18 Jun 2026 15:39:13 +0200

fwupd (2.0.20-1ubuntu2~25.10.2) questing; urgency=medium

  * Backport to questing for KEK and db updates (LP: #2142578)

 -- Mate Kukri <mate.kukri@canonical.com>  Wed, 25 Mar 2026 11:23:16 +0000

fwupd (2.0.20-1ubuntu2~25.10.1) questing; urgency=medium

  * Backport to questing.
  * Fixes UOD behavior on some Dell docks (LP: #2143688)
  * d/control: Drop passim b-d

 -- Mario Limonciello <superm1@gmail.com>  Thu, 12 Mar 2026 22:51:33 -0500

fwupd (2.0.20-1ubuntu2) resolute; urgency=medium

  * d/patches/dell-uod-behavior.patch: Backport from 2_0_X branch to fix
    UOD behavior for some Dell docks. (LP: #2143688)

 -- Mario Limonciello <superm1@gmail.com>  Mon, 09 Mar 2026 11:48:10 -0500

fwupd (2.0.20-1ubuntu1) resolute; urgency=low

  * Enable UMA carveout feature (LP: #2142298)
  * Merge from Debian unstable. Remaining changes:
    - d/p/db-update-snapd-bad-request.patch: On TPM/FDE systems, db updates
      require notifying snapd for preparation. However, the payload uses an
      incorrect format for composite updates. Change the format to align
      with snapd.
    - d/p/fwupdmgr-fde-verify-snapd-recovery-key.patch: Make fwupdmgr
      verify snapd recovery key through prompt on updates affecting FDE.

 -- Mario Limonciello <superm1@gmail.com>  Fri, 27 Feb 2026 20:24:47 -0600

fwupd (2.0.20-1) unstable; urgency=medium

  * New upstream version (2.0.20)

 -- Mario Limonciello <superm1@gmail.com>  Thu, 26 Feb 2026 06:49:36 -0600

fwupd (2.0.19-1ubuntu2) resolute; urgency=medium

  * Fix snapd bad request on db updates (LP: #2139611):
    - d/p/db-update-snapd-bad-request.patch: On TPM/FDE systems, db updates
      require notifying snapd for preparation. However, the payload uses an
      incorrect format for composite updates. Change the format to align
      with snapd.

 -- Simon Johnsson <simon.johnsson@canonical.com>  Mon, 23 Feb 2026 12:12:45 +0100

fwupd (2.0.19-1ubuntu1) resolute; urgency=medium

  * d/p/fwupdmgr-fde-verify-snapd-recovery-key.patch: Make fwupdmgr
    verify snapd recovery key through prompt on updates affecting FDE.
    (LP: #2138609)

 -- Simon Johnsson <simon.johnsson@canonical.com>  Thu, 22 Jan 2026 16:38:17 +0100

fwupd (2.0.19-1) unstable; urgency=medium

  * New upstream version (2.0.19)

 -- Mario Limonciello <superm1@debian.org>  Sat, 20 Dec 2025 22:13:58 -0600

fwupd (2.0.18-1) unstable; urgency=medium

  * New upstream version (2.0.18)
  * Drop upstream patches

 -- Mario Limonciello <superm1@debian.org>  Sat, 20 Dec 2025 22:06:57 -0600

fwupd (2.0.17-6) unstable; urgency=medium

  * Backport a patch to fix x86 32 bit installed tests

 -- Mario Limonciello <superm1@debian.org>  Mon, 10 Nov 2025 23:02:48 -0600

fwupd (2.0.17-5) unstable; urgency=medium

  * d/tests/control: depends on fwupd-tests instead of fwupd

 -- Mario Limonciello <superm1@gmail.com>  Mon, 10 Nov 2025 09:48:40 -0600

fwupd (2.0.17-4) unstable; urgency=medium

  * d/t/control: Explicitly add fwupd to depends

 -- Mario Limonciello <superm1@debian.org>  Sun, 09 Nov 2025 20:22:43 -0600

fwupd (2.0.17-3) unstable; urgency=medium

  * d/t/control: Add missing depends for autopkgtest

 -- Mario Limonciello <superm1@debian.org>  Sat, 08 Nov 2025 08:26:36 -0600

fwupd (2.0.17-2) unstable; urgency=medium

  * Backport a fix for installed tests failures with mtdram

 -- Mario Limonciello <superm1@debian.org>  Thu, 06 Nov 2025 09:54:29 -0600

fwupd (2.0.17-1) unstable; urgency=medium

  * New upstream version (2.0.17)

 -- Mario Limonciello <superm1@gmail.com>  Wed, 05 Nov 2025 13:22:11 -0600

fwupd (2.0.16-4) unstable; urgency=medium

  * Enable passim support in Debian (disabled in Ubuntu right now).

 -- Mario Limonciello <superm1@gmail.com>  Thu, 30 Oct 2025 10:15:26 -0500

fwupd (2.0.16-3) unstable; urgency=medium

  * d/rules: Explicitly set efi_os_dir
    (Closes: #1105176) (Closes: #1112464)
  * d/control: Drop b-d on python3-typogrify
    (Closes: #1105777)
  * Changes for build-dependency on libgirepository1.0-dev
    (Closes: #1118817)
  * Backport a patch to fix a segfault with flashrom (Closes: #1118449)

 -- Mario Limonciello <superm1@debian.org>  Sat, 25 Oct 2025 14:57:03 -0500

fwupd (2.0.16-2) unstable; urgency=medium

  * Backport a patch from upstream to drop python3-toml b-d
  * d/copyright, d/control: refresh against dependencies.xml (Closes: #1110022)

 -- Mario Limonciello <superm1@debian.org>  Mon, 15 Sep 2025 14:24:29 -0500

fwupd (2.0.16-1) unstable; urgency=medium

  * New upstream version (2.0.16)

 -- Mario Limonciello <superm1@debian.org>  Fri, 12 Sep 2025 09:27:26 -0500

fwupd (2.0.15-1) unstable; urgency=medium

  * New upstream version (2.0.15)

 -- Mario Limonciello <superm1@debian.org>  Wed, 10 Sep 2025 12:57:57 -0500

fwupd (2.0.14-1) unstable; urgency=medium

  * New upstream version (2.0.14)

 -- Mario Limonciello <superm1@debian.org>  Fri, 29 Aug 2025 11:28:00 -0500

fwupd (2.0.13-2) unstable; urgency=medium

  * Upload to unstable

 -- Mario Limonciello <superm1@gmail.com>  Sun, 10 Aug 2025 12:28:15 -0500

fwupd (2.0.13-1) experimental; urgency=medium

  * New upstream version.

 -- Mario Limonciello <superm1@gmail.com>  Tue, 22 Jul 2025 15:58:45 -0500

fwupd (2.0.12-1) experimental; urgency=medium

  * New upstream version.

 -- Mario Limonciello <superm1@gmail.com>  Thu, 19 Jun 2025 23:04:37 -0500

fwupd (2.0.10-1) experimental; urgency=medium

  * New upstream version.
  * d/control: Update my email

 -- Mario Limonciello <superm1@gmail.com>  Fri, 30 May 2025 11:43:44 -0500

fwupd (2.0.9-1) experimental; urgency=medium

  * New upstream version (2.0.9)
    - Drop all upstream patches.

 -- Mario Limonciello <superm1@gmail.com>  Thu, 08 May 2025 10:51:51 -0500

fwupd (2.0.8-3) unstable; urgency=medium

  * Backport a patch fixing crashes from uevents without keys (LP: #2107540)
  * Backport a patch to prevent Google Pixel devices from matching fastboot

 -- Mario Limonciello <superm1@gmail.com>  Sun, 27 Apr 2025 14:00:38 -0500

fwupd (2.0.8-2) unstable; urgency=medium

  * Backport a patch to require libusb 1.0.27. This will help make
    failures on backports to stable or old-stable clearer.
  * Backport a patch that fixes functionality when not using systemd
  * Backport a patch that fixes FTBFS on 32-bit archs (Closes: #1103371)
  * Backport 2 patches that fix KEK and PK enumeration. This fixes secure
    boot detection on some systems.

 -- Mario Limonciello <superm1@gmail.com>  Wed, 16 Apr 2025 22:16:43 -0500

fwupd (2.0.8-1) unstable; urgency=medium

  * New upstream version (2.0.8)
    - Fixes reboot issue (Closes: #1102318)
    - Fixes json output for `fwupdmgr update --json` (Closes: #1095450)
  * Drop 0001-trivial-motd-correct-fwupd-refresh.service-man-page-.patch
    (upstream)

 -- Mario Limonciello <superm1@gmail.com>  Wed, 09 Apr 2025 11:29:23 -0500

fwupd (2.0.7-4) unstable; urgency=medium

  * Fix FTBFS for 'all': Only make symlink if fwupd-tests is being built

 -- Mario Limonciello <superm1@gmail.com>  Thu, 03 Apr 2025 21:34:41 -0500

fwupd (2.0.7-3) unstable; urgency=medium

  * Use ieee-data for OUI data
  * Avoid installing OUI data for installed tests (depend on ieee-data instead)
  * Drop debian/*qubes*
  * d/control: b-d on pkgconf instead pkg-config
  * d/control: Update standards version
  * Backport a patch to fix man page section

 -- Mario Limonciello <superm1@gmail.com>  Thu, 03 Apr 2025 14:26:09 -0500

fwupd (2.0.7-2) unstable; urgency=medium

  * Remove Multi-arch: same from libfwupd-dev (Closes: #1100968)

 -- Mario Limonciello <superm1@gmail.com>  Mon, 31 Mar 2025 11:07:27 -0500

fwupd (2.0.7-1) unstable; urgency=medium

  * New upstream version (2.0.7)
    - Fixes crash from too many open files (LP: #2093824)
    - Fixes Dell RMM update issue (LP: #2104109)
  * Drop backported patches from upstream

 -- Mario Limonciello <superm1@gmail.com>  Tue, 25 Mar 2025 11:35:34 -0500

fwupd (2.0.6-7) unstable; urgency=medium

  * Add explicit dependency on libxmlb 0.3.22 or later.

 -- Mario Limonciello <superm1@gmail.com>  Thu, 20 Mar 2025 19:58:50 -0500

fwupd (2.0.6-6) unstable; urgency=medium

  * Backport a patch to fix autopkgtest failure on newer libxmlb
    (Closes: #1100915)

 -- Mario Limonciello <superm1@gmail.com>  Thu, 20 Mar 2025 07:45:03 -0500

fwupd (2.0.6-5) unstable; urgency=medium

  [ Michael Biebl ]
  * Remove obsolete conffiles on upgrade (Closes: #1064877, #1100757)
  * Bump versions of existing rm_conffile entries (Closes: #980570, #1005417)

  [ Mario Limonciello ]
  * Backport a patch to fix install_dell_bios_exe.py (Closes: #1093432)
  * Backport a patch to fix a critical warning (Closes: #1099791)
  * Backport a patch to fix compilation against newer Pango versions

 -- Mario Limonciello <superm1@gmail.com>  Tue, 18 Mar 2025 17:07:45 -0500

fwupd (2.0.6-4) unstable; urgency=medium

  [ Michael Biebl ]
  * Drop obsolete pkla configuration file (Closes: #1093066)
  * Add secureboot-db Recommends only on Ubuntu (Closes: #988817)

 -- Mario Limonciello <superm1@gmail.com>  Fri, 07 Mar 2025 23:16:32 -0600

fwupd (2.0.6-3) unstable; urgency=medium

  * Backport a patch to test for correct values for fwupdmgr security
    during autopkgtest.

 -- Mario Limonciello <superm1@gmail.com>  Wed, 19 Feb 2025 06:59:54 -0600

fwupd (2.0.6-2) unstable; urgency=medium

  * d/control: Add polkitd to b-d.

 -- Mario Limonciello <superm1@gmail.com>  Fri, 14 Feb 2025 13:05:05 -0600

fwupd (2.0.6-1) unstable; urgency=medium

  * New upstream version (2.0.6)
  * Drop patch for unneeded file.

 -- Mario Limonciello <superm1@gmail.com>  Fri, 14 Feb 2025 08:12:59 -0600

fwupd (2.0.5-1) unstable; urgency=medium

  * New upstream version (2.0.5)

 -- Mario Limonciello <superm1@gmail.com>  Mon, 20 Jan 2025 06:54:06 -0600

fwupd (2.0.3-3) unstable; urgency=medium

  * Revert "Add trivial compile/link/run test for libfwupdplugin-dev"

 -- Mario Limonciello <superm1@gmail.com>  Sat, 07 Dec 2024 10:47:50 -0600

fwupd (2.0.3-2) unstable; urgency=medium

  * Correct a typo in flaky tests patch

 -- Mario Limonciello <superm1@gmail.com>  Fri, 06 Dec 2024 21:08:22 -0600

fwupd (2.0.3-1) unstable; urgency=medium

  [ Mario Limonciello ]
  * New upstream version (2.0.3)
  * Mark fwupdmgr-p2p tests as flaky (Closes: #1070790)

  [ Simon McVittie ]
  * Add trivial compile/link/run test for libfwupdplugin-dev
  * d/control, d/control.in: tests depend on a system bus, not dbus-x11
    (Closes: #1079481)
  * d/control, d/control.in: Recommend a non-specific D-Bus system bus

 -- Mario Limonciello <superm1@gmail.com>  Fri, 06 Dec 2024 09:58:30 -0600

fwupd (2.0.2-2) unstable; urgency=medium

  * Backport a patch to fix a crash on newer AMD CPUs.

 -- Mario Limonciello <superm1@gmail.com>  Wed, 27 Nov 2024 20:04:18 -0600

fwupd (2.0.2-1) unstable; urgency=medium

  * New upstream version (2.0.2)

 -- Mario Limonciello <superm1@gmail.com>  Mon, 25 Nov 2024 06:49:00 -0600

fwupd (2.0.1-1) experimental; urgency=medium

  * New upstream version (2.0.1)

 -- Mario Limonciello <superm1@gmail.com>  Tue, 15 Oct 2024 08:38:45 -0500

fwupd (2.0.0-1) experimental; urgency=medium

  * New upstream version (2.0.0)
  * Breaks ABI, introduce new libfwupd3 library for other software to use.
  * Adjust build depends for new version.

 -- Mario Limonciello <superm1@gmail.com>  Wed, 09 Oct 2024 09:34:25 -0500

fwupd (1.9.25-1) unstable; urgency=medium

  * New upstream version (1.9.25)

 -- Mario Limonciello <superm1@gmail.com>  Wed, 25 Sep 2024 09:54:26 -0500

fwupd (1.9.24-1) unstable; urgency=medium

  * New upstream version (1.9.24)
    - Improves ESP detection false positives (LP: #2077553)
    - Adds support for mediatek scalar (LP: #2076151)
    - Fixes redfish protocol handling (LP: #2077411)

 -- Mario Limonciello <superm1@gmail.com>  Wed, 21 Aug 2024 13:39:05 -0500

fwupd (1.9.21-1) unstable; urgency=medium

  * New upstream version (1.9.21)

 -- Mario Limonciello <superm1@gmail.com>  Thu, 13 Jun 2024 11:56:56 -0500

fwupd (1.9.20-1) unstable; urgency=medium

  * New upstream version (1.9.20)
  * Fixes fwupdmgr auto-complete (LP: #2065948)

 -- Mario Limonciello <superm1@gmail.com>  Mon, 20 May 2024 09:08:59 -0500

fwupd (1.9.19-1) unstable; urgency=medium

  * New upstream version (1.9.19)

 -- Mario Limonciello <superm1@gmail.com>  Fri, 03 May 2024 07:33:51 -0500

fwupd (1.9.16-1) unstable; urgency=medium

  * New upstream version (1.9.16).
  * Drop all patches, upstream.
  * debian/control:
    - b-d on libxmlb 0.3.17.

 -- Mario Limonciello <superm1@gmail.com>  Fri, 05 Apr 2024 06:36:14 -0500

fwupd (1.9.15-2) unstable; urgency=medium

  * Backport patches to improve heuristics in ESP detection with a non
    GRUB bootloader.
  * Backport patch to fix cleanup after updates
  * Backport patch to display CoD/NVRAM/GRUB in UEFI update summary.

 -- Mario Limonciello <superm1@gmail.com>  Fri, 22 Mar 2024 12:25:50 -0500

fwupd (1.9.15-1) unstable; urgency=medium

  * New upstream version (1.9.15)
  * Drop patch included upstream

 -- Mario Limonciello <superm1@gmail.com>  Mon, 11 Mar 2024 12:31:22 -0500

fwupd (1.9.14-2) unstable; urgency=medium

  [ Arnaud Rebillout ]
  * Call dh_installsysusers explicitly, depend on systemd-sysusers
    (Closes: #1065466)

  [ Mario Limonciello ]
  * Backport a patch to avoid probing for BOS descriptor on really old USB devices

 -- Mario Limonciello <superm1@gmail.com>  Thu, 07 Mar 2024 06:37:07 -0600

fwupd (1.9.14-1) unstable; urgency=medium

  * New upstream version (1.9.14)

 -- Mario Limonciello <superm1@gmail.com>  Mon, 26 Feb 2024 12:52:35 -0600

fwupd (1.9.13-1) unstable; urgency=medium

  * New upstream version (1.9.13)
  * Fixes conffile migrations from some older versions.

 -- Mario Limonciello <superm1@gmail.com>  Thu, 08 Feb 2024 11:51:17 -0600

fwupd (1.9.12-4) unstable; urgency=medium

  * debian/tests/ci: Put all stderr into stdout.
    fwupdtool is pretty verbose with messages that happen to go to stderr
    but aren't errors.

 -- Mario Limonciello <superm1@gmail.com>  Thu, 25 Jan 2024 14:19:28 -0600

fwupd (1.9.12-3) unstable; urgency=medium

  * Try harder to correct the FTBFS so that both libsystemd-dev and
    systemd-dev get installed.

 -- Mario Limonciello <superm1@gmail.com>  Wed, 24 Jan 2024 12:32:54 -0600

fwupd (1.9.12-2) unstable; urgency=medium

  * Correct a FTBFS mistake where the systemd-dev was applied to the wrong
    alternative.  It didn't reproduce locally because my chroot was old.

 -- Mario Limonciello <superm1@gmail.com>  Wed, 24 Jan 2024 11:25:54 -0600

fwupd (1.9.12-1) unstable; urgency=medium

  * New upstream version (1.9.12)
  * Adjust build-depends to cover systemd-dev (Closes: #1060577)
  * Build depends on valgrind-if-available.  Enables for loongarch64
    too (Closes: #1059606)

 -- Mario Limonciello <superm1@gmail.com>  Wed, 24 Jan 2024 06:56:42 -0600

fwupd (1.9.11-1) unstable; urgency=medium

  * New upstream version (1.9.11)

 -- Mario Limonciello <superm1@gmail.com>  Wed, 03 Jan 2024 07:39:33 -0600

fwupd (1.9.10-1) unstable; urgency=medium

  * New upstream version (1.9.10)
  * Fixes scroll bars from fwupd-refresh (Closes: #1040245)
  * Stop advertising update support for certain unsupported genesys hubs
    (LP: #2044022)
  * Remove extra conffiles with the 1.9.10~ version instead.
    (Closes: #932617)
  * Fix FTBFS when udev.pc changes (Closes: #1057241)

 -- Mario Limonciello <superm1@gmail.com>  Mon, 04 Dec 2023 08:58:30 -0600

fwupd (1.9.9-2) unstable; urgency=medium

  * Backport a patch to fix probing on amd-gpu.
  * Remove extra confffiles (Closes: #1040350)
  * Remove extra stuff in /var during purge (Closes: #932617)

 -- Mario Limonciello <superm1@gmail.com>  Sat, 25 Nov 2023 07:36:55 -0600

fwupd (1.9.9-1) unstable; urgency=medium

  * New upstream version (1.9.9)
  * Handle /usr merge (Closes: #1052993)

 -- Mario Limonciello <superm1@gmail.com>  Mon, 20 Nov 2023 14:53:56 -0600

fwupd (1.9.8-1) unstable; urgency=medium

  * New upstream version (1.9.8)

 -- Mario Limonciello <superm1@gmail.com>  Tue, 14 Nov 2023 12:02:51 -0600

fwupd (1.9.7-1) unstable; urgency=medium

  * New upstream version (1.9.7)

 -- Mario Limonciello <superm1@gmail.com>  Wed, 01 Nov 2023 08:05:20 -0500

fwupd (1.9.6-1) unstable; urgency=medium

  * New upstream version (1.9.6)
  * Drop unneeded libsmbios-dev and libefiboot-dev build-depends

 -- Mario Limonciello <superm1@gmail.com>  Fri, 06 Oct 2023 11:38:45 -0500

fwupd (1.9.5-1) unstable; urgency=medium

  * New upstream version (1.9.5)
  * Add libzstd-dev to build-depends.

 -- Mario Limonciello <superm1@gmail.com>  Tue, 05 Sep 2023 20:36:39 -0500

fwupd (1.9.4-2) unstable; urgency=medium

  * Fix a FTBFS for package arch-ind builds without systemd directory.

 -- Mario Limonciello <superm1@gmail.com>  Tue, 22 Aug 2023 12:09:36 -0500

fwupd (1.9.4-1) unstable; urgency=medium

  * New upstream version (1.9.4)

 -- Mario Limonciello <superm1@gmail.com>  Tue, 22 Aug 2023 07:12:37 -0500

fwupd (1.9.3-1) unstable; urgency=medium

  * New upstream version (1.9.3)

 -- Mario Limonciello <superm1@gmail.com>  Tue, 11 Jul 2023 11:15:06 -0500

fwupd (1.9.1-1) experimental; urgency=medium

  * New upstream version (1.9.1)
  * Drop all patches

 -- Mario Limonciello <superm1@gmail.com>  Sat, 13 May 2023 06:53:09 -0500

fwupd (1.8.12-2) unstable; urgency=medium

  * Backport a series of patches to help with autopkgtest failing when
    compiled against an older gusb.

 -- Mario Limonciello <superm1@gmail.com>  Sun, 26 Feb 2023 11:05:26 -0600

fwupd (1.8.12-1) unstable; urgency=medium

  * New upstream version (1.8.12)
  * Fixes some regressions with other fwupd clients.
  * Add pandoc to b-d

 -- Mario Limonciello <superm1@gmail.com>  Fri, 24 Feb 2023 14:23:01 -0600

fwupd (1.8.11-1) unstable; urgency=medium

  * New upstream version (1.8.11)
  * Add libjaylink-dev for flashrom

 -- Mario Limonciello <superm1@gmail.com>  Thu, 23 Feb 2023 09:52:25 -0600

fwupd (1.8.10-2) unstable; urgency=medium

  * Backport a patch to hopefully help with autopkgtest failures on !x86

 -- Mario Limonciello <mario.limonciello@amd.com>  Tue, 24 Jan 2023 09:12:43 -0600

fwupd (1.8.10-1) unstable; urgency=medium

  * New upstream version (1.8.10)
  * Drop patches, upstream

 -- Mario Limonciello <superm1@gmail.com>  Mon, 23 Jan 2023 08:18:34 -0600

fwupd (1.8.9-3) unstable; urgency=medium

  * Backport a patch to fix the autopkgtest failure on s390x.

 -- Mario Limonciello <superm1@gmail.com>  Mon, 16 Jan 2023 14:36:18 -0600

fwupd (1.8.9-2) unstable; urgency=medium

  * Backport a patch to fix FTBFS on s390x.

 -- Mario Limonciello <superm1@gmail.com>  Wed, 04 Jan 2023 10:23:10 -0600

fwupd (1.8.9-1) unstable; urgency=medium

  * New upstream version (1.8.9)
  * Drop all patches that are now upstream

 -- Mario Limonciello <superm1@gmail.com>  Tue, 03 Jan 2023 08:35:17 -0600

fwupd (1.8.8-3) unstable; urgency=medium

  * Backport another patch to fix another autopkgtest failure

 -- Mario Limonciello <superm1@gmail.com>  Thu, 22 Dec 2022 09:43:12 -0600

fwupd (1.8.8-2) unstable; urgency=medium

  * Backport a patch for autopkgtest failure found in Ubuntu.

 -- Mario Limonciello <superm1@gmail.com>  Mon, 19 Dec 2022 23:08:43 -0600

fwupd (1.8.8-1) unstable; urgency=medium

  * New upstream version (1.8.8)
  * drop symbol upstream.

 -- Mario Limonciello <superm1@gmail.com>  Wed, 07 Dec 2022 20:03:31 -0600

fwupd (1.8.6-2) unstable; urgency=medium

  * debian/control:
    - Drop gi-docgen from B-d that was re-added when dependencies
      regenerated.  This is only supposed to be present in B-d-i

 -- Mario Limonciello <superm1@gmail.com>  Fri, 07 Oct 2022 16:07:34 -0500

fwupd (1.8.6-1) unstable; urgency=medium

  * New upstream version (1.8.6)
    - Notable change upstream is that libfwupdplugin is no longer a library
      that is available for developing out-of-tree plugins.  All plugins are
      now linked into an internal library distributed in the fwupd package.
  * debian/control:
    - Refresh for this upstream change.
  * Drop all upstream patches.
  * Add a patch to force rpath to fix a false positive dpkg-shlibdeps check
    on some binaries.

 -- Mario Limonciello <superm1@gmail.com>  Fri, 07 Oct 2022 13:42:24 -0500

fwupd (1.8.5-1) unstable; urgency=medium

  * New upstream version (1.8.5)

 -- Mario Limonciello <superm1@gmail.com>  Thu, 22 Sep 2022 10:12:00 -0500

fwupd (1.8.4-2) unstable; urgency=medium

  * debian/control:
    - Attempt to fix FTBFS related to documentation only building in certain
      architectures.
    - Fix valgrind architecture specific dependency.

 -- Mario Limonciello <superm1@gmail.com>  Tue, 30 Aug 2022 13:33:23 -0500

fwupd (1.8.4-1) unstable; urgency=medium

  * New upstream version (1.8.4)
  * debian/control: refresh with upstream dependencies

 -- Mario Limonciello <superm1@gmail.com>  Tue, 30 Aug 2022 11:15:39 -0500

fwupd (1.8.3-1) unstable; urgency=medium

  * New upstream version (1.8.3)
  * Drop COD patch
  * Fixes HWIDs for some systems (LP: #1982103)

 -- Mario Limonciello <superm1@gmail.com>  Tue, 30 Aug 2022 06:46:52 -0500

fwupd (1.8.2-1) unstable; urgency=medium

  [ Mario Limonciello ]
  * New upstream version (1.8.2)
  * Backport a patch from upstream to disable capsule on disk by default outside
    aarch64.  This fixes flashing on HP Dev One and several Insyde boxes.
  * fix build with newer meson

  [ Lukas MÃ¤rdian ]
  * d/rules: enable plugin_logitech_bulkcontroller on Ubuntu, as the protobuf-c
    MIR has been resolved (LP: 1956617)

 -- Mario Limonciello <superm1@gmail.com>  Sat, 16 Jul 2022 08:59:57 -0500

fwupd (1.8.1-2) unstable; urgency=medium

  * Fix mistake in symbols file
  * Fix gitignore

 -- Mario Limonciello <superm1@gmail.com>  Wed, 29 Jun 2022 20:01:43 -0500

fwupd (1.8.1-1) unstable; urgency=medium

  * New upstream version (1.8.1) (LP: #1979963)
  * Drop patch for systemd refresh unit, upstream.

 -- Mario Limonciello <superm1@gmail.com>  Thu, 28 Apr 2022 23:56:33 -0500

fwupd (1.7.7-1) unstable; urgency=medium

  * New upstream version (1.7.7)
    - Fixes some errors with TPM binary measurements. (LP: #1966364)
  * Backport configuration option for systemd refresh unit user
  * Run fwupd-refresh under a dedicated fwupd-refresh user (LP: #1969976)

 -- Mario Limonciello <superm1@gmail.com>  Mon, 25 Apr 2022 20:44:02 -0500

fwupd (1.7.6-1) unstable; urgency=medium

  * New upstream version (1.7.6)
  * Drop all patches, upstream
  * Add libqrtr-glib-dev to build depends

 -- Mario Limonciello <superm1@gmail.com>  Sun, 27 Feb 2022 20:59:36 -0600

fwupd (1.7.5-3) unstable; urgency=medium

  * debian/tests:
    - Disable blocking container virtualization only for autopkgtest

 -- Mario Limonciello <superm1@gmail.com>  Sat, 19 Feb 2022 07:21:22 -0600

fwupd (1.7.5-2) unstable; urgency=medium

  * Backport a series of patches that fix autopkgtest failures in Debian
    and Ubuntu.
  * Backport a patch to avoid running fwupd-refresh in containers.

 -- Mario Limonciello <superm1@gmail.com>  Fri, 18 Feb 2022 11:50:37 -0600

fwupd (1.7.5-1) unstable; urgency=medium

  * New upstream version (1.7.5)
    - Enable modem manager plugin by default
  * Drop efivar compatibility patch, upstream
  * backport a patch to fix dell wd19 TBT updates
  * backport a patch for community messaging issue
  * Backport a patch to allow falling back to signed binary if
    unsigned binary not present
  * Drop fwupd-unsigned from Recommends

 -- Mario Limonciello <superm1@gmail.com>  Tue, 15 Feb 2022 08:26:21 -0600

fwupd (1.7.4-2) unstable; urgency=medium

  * Add hard dependencies on libfwupd2 and libfwupdplugin5 built with
    us. Symbols suggest things should work, but maybe not. :-(
    Closes: #1003664

 -- Steve McIntyre <93sam@debian.org>  Thu, 10 Feb 2022 00:13:57 +0000

fwupd (1.7.4-1) unstable; urgency=medium

  * New upstream version (1.7.4)
  * Drop manpages section patch, upstream
  * Add a patch that fixes compilation with newer efivar

 -- Mario Limonciello <superm1@gmail.com>  Mon, 17 Jan 2022 09:42:56 -0600

fwupd (1.7.3-1) unstable; urgency=medium

  * New upstream version (1.7.3)
  * ignore subprojects and build directory from upstream builds in same folder
  * Update symbols and shared library name
  * drop lintian overrides for EFI binary, gone from the split
  * use wildcards in lintian override for library-not-linked-against-libc
  * drop unused debian/source/include-binaries
  * Add Rules-Requires-Root clause
  * Fix man page location
  * disable logitech bulk controller on ubuntu by default
  * disable logitech bulk controller on ubuntu by default
  * add dual license nature of dell-dock plugin to debian/copyright

 -- Mario Limonciello <superm1@gmail.com>  Fri, 07 Jan 2022 23:41:05 -0600

fwupd (1.7.1-1) unstable; urgency=medium

  [ Mario Limonciello ]
  * New upstream version (1.7.1)
  * Update debian/control and debian/copyright for changes upstream
  * Drop all patches, upstream
  * Packaging changes for the split into fwupd/fwupd-efi.

  [ Steve McIntyre ]
  * Update Mario's email address in debian/control
  * Move manpages into section 8, fix lintian warnings.

 -- Mario Limonciello <superm1@gmail.com>  Mon, 03 Jan 2022 18:27:46 +0000

fwupd (1.5.7-5) unstable; urgency=medium

  * Change dependency versioning strategy for the signed fwupd
    packages to make them binNMU friendly. Closes: #973715
  * Similarly change versioning used for Built-Using. Closes: #992910

 -- Steve McIntyre <93sam@debian.org>  Tue, 21 Sep 2021 01:06:34 +0100

fwupd (1.5.7-4) unstable; urgency=medium

  * Multiple fixes for working with UEFI SBAT

 -- Steve McIntyre <93sam@debian.org>  Fri, 14 May 2021 00:32:00 +0100

fwupd (1.5.7-3) unstable; urgency=medium

  * Backport a patch to fix regression in fwupdtool activate
  * Backport a patch to fix activatable devices getting stuck in an update loop
  * Rebuild to pick up new signing keys.

 -- Mario Limonciello <mario.limonciello@dell.com>  Thu, 11 Mar 2021 16:16:53 -0600

fwupd (1.5.7-2) unstable; urgency=medium

  * Backport a patch to fix FTBFS on armhf for SBAT

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 23 Feb 2021 17:25:50 -0600

fwupd (1.5.7-1) unstable; urgency=medium

  * New upstream version (1.5.7)
    - Fixes issues with SBAT on UEFI.
  * Fixes dependencies for -dev packages:
    Closes: #980691, #980684

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 23 Feb 2021 09:03:46 -0600

fwupd (1.5.6-1) unstable; urgency=medium

  [ Steve McIntyre ]
  * Fix up Uploaders for the -signed packages - remove Jared, add Matthias

  [ Mario Limonciello ]
  * New upstream version (1.5.6)
  * drop all upstream patches

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 16 Feb 2021 10:54:08 -0600

fwupd (1.5.5-2) unstable; urgency=medium

  * fwupd.postinst: Adjust to read /etc/os-release instead of `/etc/lsb-release`

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 19 Jan 2021 15:48:55 -0600

fwupd (1.5.5-1) unstable; urgency=medium

  * New upstream version (1.5.5)
  * trivial: debian: migrate uefi->uefi_capsule in uefi.conf
  * trivial: debian: fix modules-load.d directory
  * trivial: debian: add dbus to recommends (Closes: #980049)
  * Backport 2 patches for continual "Unknown" message on new connections
  * trivial: debian: read /etc/lsb-release instead of dpkg-dev (Closes: #977860, #977861, #970783)

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 19 Jan 2021 12:50:02 -0600

fwupd (1.5.3-2) unstable; urgency=medium

  * trivial: debian: only install fwupd-msr.conf if needed

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 08 Dec 2020 10:45:45 -0600

fwupd (1.5.3-1) unstable; urgency=medium

  * New upstream version (1.5.3)
  * Drop all patches (upstream)
  * Follow defaults for nvme and redfish plugins (don't need efivar now)
  * debian/control:
    - Drop libsoup build dependency
    - Add libcurl build dependency
    - Add systemd build dependency
  * Migrate debian/fwupd.preinst content to debian/fwupd.maintscript

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 08 Dec 2020 08:30:56 -0600

fwupd (1.5.1-5) unstable; urgency=medium

  * Backport patch to fix ppc64el autopkgtest failure

 -- Mario Limonciello <mario.limonciello@dell.com>  Thu, 19 Nov 2020 00:36:17 -0600

fwupd (1.5.1-4) unstable; urgency=medium

  * trivial: debian: disable downloading from LVFS in autopkgtest

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 16 Nov 2020 17:07:15 -0600

fwupd (1.5.1-3) unstable; urgency=medium

  * Add breaks for fwupdate 12-7 (Closes: #960688)
  * trivial: debian: add git to fwupdate-tests dependencies

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 16 Nov 2020 10:48:48 -0600

fwupd (1.5.1-2) unstable; urgency=medium

  [ Mario Limonciello ]
  * Backport a patch to indicate if packages are supported or not
  * backport a patch to fix autopkgtests on ppc64el
  * trivial: debian: don't hardcode paths in libexec
  * trivial: debian: disable msr plugin on all !x86

  [ Jessica Clarke ]
  * debian: Check DEB_HOST_ARCH_CPU not DEB_HOST_ARCH for MSR plugin
  * debian: Prefer Makefile substitution over shell substitution
  * debian: Use if/else rather than overriding default values
  * debian: Drop pointless dh_shlibdeps override
  * debian: Check for valgrind in Makefile not shell and don't hard-code path
  * debian: Fix dangerous lack of set -e
  * debian: Fix another instance of unusual ifeq syntax
  * debian: Build up CONFARGS list rather than individual variables
  * debian: Fix another dangerous missing set -e
  * debian: Use uniform spacing around semicolons
  * debian: Avoid looking like a set -e is missing
  * debian: Remove unnecessary ./ use
  * debian: Add quotes around glob

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 16 Nov 2020 09:31:32 -0600

fwupd (1.5.1-1) unstable; urgency=medium

  * New upstream version (1.5.1)
  * Drop backported patches

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 13 Nov 2020 10:17:32 -0600

fwupd (1.4.6-2) unstable; urgency=medium

  * Add udisks2 to recommends
  * Backport a patch to fix a crash when udisks2 is missing (Closes: #970054)
  * Disable flashrom for ia64

 -- Mario Limonciello <mario.limonciello@dell.com>  Thu, 10 Sep 2020 19:41:01 -0500

fwupd (1.4.6-1) unstable; urgency=medium

  * New upstream version (1.4.6)

 -- Mario Limonciello <mario.limonciello@dell.com>  Wed, 09 Sep 2020 10:37:37 -0500

fwupd (1.4.5-1) unstable; urgency=medium

  * New upstream version (1.4.5)
  * Drop flashrom patch, now upstream
  * Regenerate control file
    - Refresh dependencies for 1.4.x
    - Drop Jared as uploader

 -- Mario Limonciello <mario.limonciello@dell.com>  Thu, 30 Jul 2020 08:33:22 -0500

fwupd (1.3.11-2) unstable; urgency=medium

  * Stop generating debian/control automatically at build time
  * Add build-dep on libflashrom-dev

 -- Steve McIntyre <93sam@debian.org>  Thu, 23 Jul 2020 21:54:00 +0100

fwupd (1.3.11-1) unstable; urgency=medium

  * New upstream stable release:
    - Add more module types for the Dell dock
    - Fix the TPM PCR0 calculation
    - Check for free space after cleaning up ESP

 -- Mario Limonciello <mario.limonciello@dell.com>  Thu, 18 Jun 2020 10:46:14 -0500

fwupd (1.3.10-1) unstable; urgency=medium

  * New upstream stable release:
    - Actually reload the DFU device after upgrade has completed
    - Capture the dock SKU in report metadata
    - Correctly set the Logitech device protocol
    - Do not use shim for non-secure boot configurations
    - Ensure that the DeviceID is set for child devices
    - Fix an error when detaching MSP430
    - Fix the DeviceID set by GetDetails
    - Force the prometheus minor version from 0x02 to 0x01 to fix updates
    - Parse the CSR firmware as a DFU file
    - Prevent dell-dock updates to occur via synaptics-mst plugin
    - Rather than hardcoding thunderbolt to PCI slot numbers, use domain in GUID
    - Remove a dock device from the allowlist that is never going to be updated
    - Validate that gpgme_op_verify_result() returned at least one signature
    - Wait for the cxaudio device to reboot after writing firmware
  * Drop following patches, now incorporated upstream:
    - Thunderbolt: create correct GUID for dual controller devices
    - CSR: Fix parsing
    - Motd: Fix refresh target to be network.target
    - Logitech: Fix error in logs on unsigned devices and set protocol for
      signed devices properly.
    - Fix a FTBFS on empty /etc/machine-id in some buildd environments.

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 09 Jun 2020 09:44:53 -0500

fwupd (1.3.9-4) unstable; urgency=medium

  * Backport a handful of patches from 1_3_X branch:
    - Thunderbolt: create correct GUID for dual controller devices
    - CSR: Fix parsing
    - Motd: Fix refresh target to be network.target
    - Logitech: Fix error in logs on unsigned devices and set protocol for
      signed devices properly.
    - Fix a FTBFS on empty /etc/machine-id in some buildd environments.
      (LP: #1870051)

 -- Mario Limonciello <mario.limonciello@dell.com>  Wed, 01 Apr 2020 13:43:21 -0500

fwupd (1.3.9-3) unstable; urgency=medium

  * Backport a patch from upstream to not use shim on non-secure boot installs.
    - Helps avoid hitting a shim regression.

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 23 Mar 2020 09:39:16 -0500

fwupd (1.3.9-2) unstable; urgency=medium

  * Backport a patch to correct an error with shutdown script.
  * Enable flashrom plugin for Debian.
    - This is turned off for Ubuntu for now since flashrom is in universe.

 -- Mario Limonciello <mario.limonciello@dell.com>  Thu, 05 Mar 2020 20:03:03 -0600

fwupd (1.3.9-1) unstable; urgency=medium

  [ Mario Limonciello ]
  * New upstream stable release (1.3.9)
    - Moves some binaries from usr/libexec into usr/bin
    - Adds fish completion script.
    - Inhibit all power management actions using logind when updating
  * Bug fixes:
    - Always check for PLAIN when doing vercmp() operations
    - Always return AppStream markup for remote agreements
    - Apply UEFI capsule update even with single valid capsule
    - Check the device protocol before de-duping devices
    - Copy the version and format from donor device in get-details
    - Correctly append the release to devices in `fwupdtool get-details`
    - Decrease minimum battery requirement to 10%
    - Discard the reason upgrades aren't available
    - Do not fail loading in /etc/machine-id is not available
    - Fix a critical warning when installing some firmware
    - For the `get-details` command make sure to always show devices
    - Set the MSP430 version format to pair
    - Switch off the ATA verbose logging by default
    - Use unknown for version format by default on get-details
  * Drop all existing patches.

  [ Laurent Bigonville ]
  * debian/control.in: Add libglib2.0-doc to Build-Depends-Indep
  * Move the daemons from /usr/lib/fwupd to /usr/libexec/fwupd
  * debian/*.symbols: Add the Build-Depends-Package field

 -- Mario Limonciello <mario.limonciello@dell.com>  Wed, 04 Mar 2020 10:32:33 -0600

fwupd (1.3.8-1) unstable; urgency=medium

  * New upstream version (1.3.8)
  * Drop all existing patches
  * Backport patches for:
   - battery level threshold adjustment (30%->10%)
   - A logic error with report uploading
  * Update standards version

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 14 Feb 2020 09:41:27 -0600

fwupd (1.3.7-3) unstable; urgency=medium

  * Backport some patches from upstream.
    - Revert a commit to fix UEFI updates hanging on many Dell systems.
    - Adjust motd output to contain more whitespace

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 10 Feb 2020 12:55:12 -0600

fwupd (1.3.7-2) unstable; urgency=medium

  * Backport a patch to fix fwupd-refresh.service (Fixes: #950407, Fixes: #950408)

 -- Mario Limonciello <mario.limonciello@dell.com>  Sun, 02 Feb 2020 08:41:33 -0600

fwupd (1.3.7-1) unstable; urgency=medium

  * New upstream version (1.3.7)

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 31 Jan 2020 07:52:16 -0600

fwupd (1.3.6-1) unstable; urgency=medium

  * New upstream version (1.3.6)
    - Fixes shutdown failed with exit 2 (Fixes: #947205)
    - Fixes motd issue, requires newer systemd though as well (Fixes: #943343)
  * Drop all patches from previous upload, now upstream.

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 30 Dec 2019 17:23:21 -0600

fwupd (1.3.5-1) unstable; urgency=medium

  * New upstream version (1.3.5)
  * Introduce new binary packages for new library libfwupdplugin,
    allowing out of tree plugin builds.
  * trivial: debian: remove obj-* built files to fix back to back builds
  * trivial: ci: debian: enable verbose daemon logging for failure analysis
  * Backport some patches to improve autopkgtest debugging

 -- Mario Limonciello <mario.limonciello@dell.com>  Sun, 01 Dec 2019 07:22:47 -0600

fwupd (1.3.4-1) unstable; urgency=medium

  * New upstream version (1.3.4)
  * d/c: Only include TSS dependencies on architectures building EFI plugin.

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 22 Nov 2019 10:14:13 -0600

fwupd (1.3.3-3) unstable; urgency=medium

  * Backport a patch to allow confined snaps to activate fwupd

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 12 Nov 2019 12:41:57 -0600

fwupd (1.3.3-2) unstable; urgency=medium

  * backport a patch to fix fastboot plugin on DW5821e
  * backport a patch to only use mingw-w64-tools in archs with EFI

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 12 Nov 2019 12:41:55 -0600

fwupd (1.3.3-1) unstable; urgency=medium

  * New upstream version (1.3.3)

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 01 Nov 2019 12:34:24 -0500

fwupd (1.3.2-5) unstable; urgency=medium

  * Backport patch to skip transient self test failure in polling

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 22 Oct 2019 10:05:24 -0500

fwupd (1.3.2-4) unstable; urgency=medium

  * Disable fwupd-refresh.service by default (Closes: #942630)

 -- Mario Limonciello <mario.limonciello@dell.com>  Sun, 20 Oct 2019 17:14:08 -0500

fwupd (1.3.2-3) unstable; urgency=medium

  * backport patch for fwupd-refresh: don't try to enable LVFS if disabled
    (Closes: #942568)
  * fwupd-refresh: backport a series of patches that essentially turns off motd
    refresh unless running on a very new systemd (v243) due to systemd v242 bug.
    (Closes: #942567)

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 18 Oct 2019 09:50:55 -0500

fwupd (1.3.2-2) unstable; urgency=medium

  * cleanup symlink from broken 1.3.2-1 if fwupd-refresh was started
  * backport path for fwupd-refresh: fix a clash with fwupd.service (Closes: #941360)
    (Closes: #941661)
  * debian/control*: Update for fwupdate transition

 -- Mario Limonciello <mario.limonciello@dell.com>  Thu, 03 Oct 2019 15:52:23 -0500

fwupd (1.3.2-1) unstable; urgency=medium

  * New upstream version (1.3.2)
    - Allow not prompting for metadata every time (Closes: #941048)
    - Avoid resetting display every login with Dell docks (LP: #1793965)
    - Provides a network service file (Closes: #921820)
    - Description is clearer (Closes: #911505)
    - Wacom failures don't occur (Closes: #915794)
    - Xbox360 controllers keep working (Closes: #920012)
  * Uses libtss2-dev at build time and switches to TSS for runtime rather than
    tpm2-tools/tpm2-abrmd.

 -- Mario Limonciello <mario.limonciello@dell.com>  Thu, 26 Sep 2019 09:16:02 -0500

fwupd (1.2.10-2) unstable; urgency=medium

  [ Steve McIntyre ]
  * Add Built-Using for the fwupd-*-signed packages. Closes: #932757

 -- Steve McIntyre <93sam@debian.org>  Mon, 22 Jul 2019 17:38:23 -0300

fwupd (1.2.10-1) unstable; urgency=medium

  * New upstream version (1.2.10)

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 15 Jul 2019 13:58:47 -0500

fwupd (1.2.9-1) unstable; urgency=medium

  * New upstream version (1.2.9)

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 12 Jul 2019 14:25:32 -0500

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog fwupd-tests`.
